Delete a user

This endpoint allows to remove a user from the business.

DELETE /api/v2/business/{businessId}/users/{userName}

If the data included in the request is correct —both the businessId and the userName— the user will be deleted.

Considerations

If the request is successful, the response will be 204 No Content.

There is no check preventing an integration user from deleting themselves.

Error codes

In addition to the common errors, this endpoint can return the following codes:

Code Message Description

404 Not Found

-

The specified userName does not match any user in the business.

This endpoint has its own error handling that does not follow the general API format: the 401 Forbidden and 401 Service or node forbidden permission errors from the common catalog are returned here as 404 Not Found with no body, just like the user not found case — the three cases are indistinguishable from each other by response code and body. Only 401 Business forbidden (non-existent business) keeps the usual format, with the literal in message.

What is a user?